Productsup

Save event logs.

POST
/activity/event-logs

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/activity/event-logs" \  -H "Content-Type: application/json" \  -d '{    "additional_user_info": {      "Errors": "Some errors",      "Description": "Some description"    },    "events": [      {        "id": 1,        "context": {          "event-0-key": "event-0-value"        }      },      {        "id": 1,        "context": {          "event-1-key": "event-1-value"        }      }    ]  }'
{
  "message": "success"
}
{
  "message": "Validation failed",
  "errors": {
    "additional_user_info": "This key should be provided in the payload.",
    "events": "This key should be provided in the payload."
  }
}

How is this guide?